petsc-3.6.2 2015-10-02
Report Typos and Errors

# DMDAGetInfo

Gets information about a given distributed array.

### Synopsis

    #include "petscdmda.h"
    PetscErrorCode  DMDAGetInfo(DM da,PetscInt *dim,PetscInt *M,PetscInt *N,PetscInt *P,PetscInt *m,PetscInt *n,PetscInt *p,PetscInt *dof,PetscInt *s,DMBoundaryType *bx,DMBoundaryType *by,DMBoundaryType *bz,DMDAStencilType *st)

Not Collective

### Input Parameter

da -the distributed array

### Output Parameters

| dim | - dimension of the distributed array (1, 2, or 3)
| M, N, P | - global dimension in each direction of the array
| m, n, p | - corresponding number of procs in each dimension
| dof | - number of degrees of freedom per node
| s | - stencil width
| bx,by,bz | - type of ghost nodes at boundary, one of DM_BOUNDARY_NONE, DM_BOUNDARY_GHOSTED, DM_BOUNDARY_MIRROR, DM_BOUNDARY_PERIODIC
| st | - stencil type, either DMDA_STENCIL_STAR or DMDA_STENCIL_BOX

### Note

Use NULL (NULL_INTEGER in Fortran) in place of any output parameter that is not of interest.

### Keywords

distributed array, get, information

### See Also

DMView(), DMDAGetCorners(), DMDAGetLocalInfo()

Level:beginner
Location:src/dm/impls/da/daview.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/dm/examples/tutorials/ex15.c.html
src/ksp/ksp/examples/tutorials/ex4.c.html
src/ksp/ksp/examples/tutorials/ex25.c.html
src/ksp/ksp/examples/tutorials/ex28.c.html
src/ksp/ksp/examples/tutorials/ex29.c.html
src/ksp/ksp/examples/tutorials/ex31.c.html
src/ksp/ksp/examples/tutorials/ex32.c.html
src/ksp/ksp/examples/tutorials/ex34.c.html
src/ksp/ksp/examples/tutorials/ex42.c.html
src/ksp/ksp/examples/tutorials/ex43.c.html
src/ksp/ksp/examples/tutorials/ex45.c.html